
:root{
    --txt-color: #212121;
    --teal:#09a494;
    --bg-color:#ffffff;
}

.dark-theme {
    --txt-color:#CCCCCC;
    --bg-color:#031923;
}

body{
    background-color: var(--bg-color);
}

a {
    color:var(--txt-color);
}

.text-wrapper{
    max-width: 800px;
}

p{
    margin:0;
    margin-bottom: 15px;
}

section{
    margin-bottom:120px;
}

p:last-child{
    margin-bottom: 0;
}

.header-logo{
    width:60px;
    height:60px;
}

.me{
    display:flex;
    align-items: center;
    justify-content:space-between;
    gap:70px;
}

.me h2{
    font-size: 38px;
    font-weight: normal;
    color: var(--teal);
}

.meme{
    display:flex;
    flex-direction: column;
    
}

.meme h2{
    margin-bottom:0;
}

.main-header{
    display:flex;
    gap:40px;
    padding-top:60px;
    align-items: center;
    margin-bottom:120px;
}

.main-footer{
    padding-top:50px;
    padding-bottom: 50px;
}

body{
    color:var(--txt-color);
    background-color: var(--bg-color);
    font-family:"Open Sans", "Arial","sans-serif";
    font-size:20px;
    font-weight:400;
    line-height: 1.5;
}

h1{
    margin:0;
    margin-bottom: 20px;
    font-size: 60px;
    font-weight: 700;
    line-height: 1.1;
    text-align: left;
}

h2{
    margin:0;
    font-size: 30px;
    margin-bottom: 40px;
    font-weight: 700;
    line-height:1.2;
}

h3{
    font-size: 20px;
    font-weight: 400;
    line-height:1;
}

.menu a{
    padding: 10px 15px 10px 15px;
    text-decoration:none;
    color:var(--txt-color);
}

.menu{
    display:flex;
    align-items: center;
    text-align: center;
    
}

.menu a:hover{
    transition: all .2s;
    color:var(--teal);
    
}

button a{
    font-size: 30px;
    font-weight: 700;
    line-height:1.2;
}

footer{
    color:var(--bg-color);
    background-color:var(--teal);
}

*,
*::before,
*::after{
    box-sizing: border-box;
}



.container{
    min-width: 320px;
    max-width: 1280px;
    margin: 0 auto;
    padding: 0 20px;
}



button{
    padding: 0;
    border: none;
    color:inherit;
    background-color: transparent;
    text-transform: lowercase;
    cursor: pointer;
    border-radius:10px;
    padding: 10px;
    border:1px solid var(--teal);
    color:var(--teal);
    
}

button:hover{
    transition: background-color .2s;
    background-color: var(--teal);
    color:var(--bg-color);
}

.social{
    display: flex;
    flex-wrap: wrap;
    padding:0;
    list-style-type: none;
    gap:20px;
}
.contact{
    gap:40px;
    display: flex;
    flex-wrap: wrap;
    padding:0;
    list-style-type: none;
    margin-bottom: 40px;
}

.social-link{
    display:flex;
    flex-wrap: wrap;
    padding:10px;
    width:50px;
    height:50px;
    border:var(--teal) solid 1px;
    border-radius: 50%;
    background-repeat:no-repeat;
    background-position: center;
}

.meimage{
    width:400px;
    height:400px;
    border-radius: 50%;
    flex-shrink: 0;
}

.contact-link{
    display: inline-block;
    padding:5px 0 5px 42px;
    background-repeat:no-repeat;
    background-position: left;
    color: var(--txt-color);
    text-decoration: none;
}

.contact-link:hover{
    transition: all, .3s;
    color:var(--teal);
}

.social-link:hover{
    transition: background-color .2s;
    background-color: var(--teal);
}

.dark-theme .social-link{
    background-color: var(--txt-color);
}

.dark-theme .social-link:hover{
    transition: all, .3s;
    background-color:var(--teal);
}

.contact-phone{
    background-image: url("../img/phone.svg");
}

.contact-mail{
    background-image: url("../img/mail.svg");
}

.dark-theme .contact-mail{
    background-image: url("../imgDark/email.svg");
}

.dark-theme .contact-phone{
    background-image: url("../imgDark/phone.svg");
}

.socialvk{
    background-image:url('../img/social_vk.svg');
}
.socialgit{
    background-image:url('../img/social_github.svg');
}

.socialtel{
    background-image:url('../img/social_telegram.svg');
}
.visually-hidden{
    position: absolute;
    width: 1px;
    height: 1px;
    margin: -1px;
    border: 0;
    padding: 0;
    white-space: nowrap;
    clip-path: inset(100%);
    clip:rect(0 0 0 0);
    overflow: hidden;
}

.sortskill{
    display:flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: space-between;
    margin:0;
    margin-bottom: 40px;
    gap:20px;
    
}
.sortskill h2{
    margin-bottom: 0;
}

.skills-sort{
    display: flex;
    gap: 20px;
    align-items: center;
}
.skills-sort button{
    padding-top:6px;
}

.skill-list {
    margin: 0;
    padding: 0;
    line-height: 1;
}


.skill-list dt {
    margin-bottom: 6px;
    padding: 5px 0 5px 38px;
    background-position: left;
    background-repeat: no-repeat;
    background-size: 30px;
}


.skill-level {
    margin: 0 0 20px 0;
    padding: 1px;
    font-size: 0;
    border: 1px solid var(--txt-color);
    border-radius: 16px;
}


.skill-level div {
    height: 14px;
    background-color: var(--teal);
    border-radius: 8px;
}


.skill-item {
    text-transform: lowercase;
    background-repeat: no-repeat;
}


.skill-item_html {
    background-image: url("../img/skill_html.svg");
}


.skill-item_css {
    background-image: url("../img/skill_css.svg");
}


.skill-item_cpp {
    background-image: url("../img/skill_c++.svg");
}
.skill-item_csharp{
    background-image: url("../img/skill_csharp.svg");
}
.skill-item_python {
    background-image: url("../img/skill_python.svg");
}

.nav-btn{
    display: none;
}

.switch {    
    position: fixed;
    bottom: 20px;
    right: 20px;  
    width: 60px;
    height: 34px;
}


.switch-checkbox {
    width: 0;
    height: 0;
    opacity: 0;
}


.switch-slider {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 34px;
    background-color: #CCCCCC;
    cursor: pointer;
    transition: 0.4s;
}


.switch-slider:before {
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    top: 0;
    bottom: 0;
    height: 40px;
    width: 40px;
    margin: auto 0;
    border: 1px solid #CCCCCC;
    border-radius: 50%;
    background-color: #FFFFFF;
    background-image: url('../img/moon.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 24px;
    transition: 0.4s;
}


.switch-checkbox:checked + .switch-slider:before {
    transform: translateX(24px);
    background-color: #FFFFFF;
    background-image: url('../img/sun.svg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: 24px;
}


@media screen and (max-width: 1024px) { 
    section{
        margin-bottom: 80px;
    } 
    body{
        font-size: 16px;
    }
    .meimage{
        width:250px;
        height:250px;
        border-radius: 50%;
    }
    h1{
        font-size:50px;
    } 
    h2{
        font-size: 24px;
        
    }
    .meme h2{
        margin-bottom: 0;
        font-size: 28px;
    }
    h3{
        font-size: 16px;
    }
    button a{
        font-size:25px;
    }
    .main-header{
        margin-bottom: 80px;
    }
    .nav-btn:hover{
        color:var(--teal);
        background-color:var(--bg-color);
    }
	
}

@media screen and (max-width: 650px) { 
    section{
        margin-bottom: 50px;
    } 
    body{
        font-size: 14px;
        line-height: 1;
    }
	h1{
        font-size:32px;
    }   
    h2{
        font-size: 20px;
        margin-bottom: 30px;
    }   
    h3{
        font-size: 16px;
    }
    button a{
        font-size: 14px;
    }
    .header-logo{
        width:40px;
        height:40px;
    }
    .meimage{
        width:150px;
        height:150px;
        border-radius: 50%;
    }
    .me{
        display: flex;
        flex-direction: column-reverse;
        text-align: center;
        gap:30px;
    }
    .me h1{
        margin-bottom:10px;
    }
    .me h2{
        margin:0;
        font-size: 20px;
    }

    .intro{
        line-height: 1.5;
    }
    .interests{
        line-height: 1.5;
    }
    .main-header{
        display: flex;
        flex-direction: column;
        text-align: center;
        align-items: center;
        padding:20px 0 0 0;
        gap:20px;
        margin-bottom: 50px;
    }
    .menu{
        flex-direction: column;
    }
    /* .main-header nav{
        display: flex;
        flex-direction: column;
        text-align: center;
    } */
    .main-header nav a{
        padding: 20px 30px 20px 30px;
    }
    

    button.nav-btn{
        display:block;
        width:30px;
        height:30px;
    }

    .main-header-wrap{
        width:100%;
        display: flex;
        align-items: center;
        justify-content: space-between;
    }

    .nav-btn_close{
        border: none;
        background-image:url("../img/close.svg");
    }

    .nav-btn_open{
        border: none;
        background-image: url("../img/burger.svg");
    }

    .sortskill{
        display: flex;
        margin-bottom: 30px;
    }
    .skills-sort button{
        
        border-radius: 8px;
        padding:6px 10px 10px 10px;
        text-align:center;
    }

    .main-footer{
        padding-top:30px;
        padding-bottom: 30px;
    }

    .contact{
        margin-bottom:20px;
    }
    .contact-link{
        padding-top: 8px;
    }
    .social{
        margin:0;
        gap:15px;
    }

    .main-nav_closed{
        display:none;
    }
}

@media screen and (max-width: 380px) { 

    .sortskill{
        display: flex;
        flex-direction: column;
        align-items:start;
    }   

    .skills-sort button{
        width:100%;
    }
    
    .skills-sort{
        display: flex;
        flex-direction: column;
        align-items: start;
        width:100%;
        gap:10px;
    }
    
    .contacts-wrap{
        display: flex;
        flex-direction: column;
        gap:20px;
    }
    .contact{
        margin:0;
        display: flex;
        flex-direction: column;
        gap:15px;
    }
    

}


